<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/HTTPContentFetcherInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HTTPContentFetcherInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_h_t_t_p_content_fetcher_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_HTTPCONTENTFETCHERINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_HTTPCONTENTFETCHERINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_http_response_code_8h.html">AVSCommon/Utils/HTTP/HttpResponseCode.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_h_t_t_p_content_8h.html">AVSCommon/Utils/HTTPContent.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_s_d_k_version_8h.html">AVSCommon/Utils/SDKVersion.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacesdk_interfaces.html">sdkInterfaces</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">   32</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">HTTPContentFetcherInterface</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">   35</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a69f4c5323778d9d6383109d492070656">CONTENT_TYPE</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a88688062deacd9356286364aef9601f7">ENTIRE_BODY</a></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    };</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">   43</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">State</a> {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86adee5f03c2c4e73657824e028494b18c0">INITIALIZED</a>,</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aecb032beffdf90ff84b145c0c361313c">FETCHING_HEADER</a>,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac449178c9953cdc0fe17c4d69f85f7ee">HEADER_DONE</a>,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac67d580e25dcbffc9a54a12bd74da057">FETCHING_BODY</a>,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2">BODY_DONE</a>,</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86abb1ca97ec761fc37101737ba0aa2e7c5">ERROR</a></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    };</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html">   62</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html">Header</a> {</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af870f526cb7177cefdf9a8637ebfa232">   66</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af870f526cb7177cefdf9a8637ebfa232">successful</a>;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af271e97d1a7e70708e1c78ef58f2ab59">   68</a></span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">avsCommon::utils::http::HTTPResponseCode</a> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af271e97d1a7e70708e1c78ef58f2ab59">responseCode</a>;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a1efa12888ba55fd2277b28427785b856">   70</a></span>&#160;        std::string <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a1efa12888ba55fd2277b28427785b856">contentType</a>;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#aacb488f95f35dba8f6480ce59c0ca5da">   72</a></span>&#160;        ssize_t <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#aacb488f95f35dba8f6480ce59c0ca5da">contentLength</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a6365299c9e4de0fc31745c41fd887445">   74</a></span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a6365299c9e4de0fc31745c41fd887445">Header</a>() :</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af870f526cb7177cefdf9a8637ebfa232">successful</a>(false),</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;                <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af271e97d1a7e70708e1c78ef58f2ab59">responseCode</a>(avsCommon::utils::http::<a class="code" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a>::<a class="code" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06eaa335352ea1154abc7e7d8a442b1288b49">HTTP_RESPONSE_CODE_UNDEFINED</a>),</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;                <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a1efa12888ba55fd2277b28427785b856">contentType</a>(<span class="stringliteral">&quot;&quot;</span>),</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;                <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#aacb488f95f35dba8f6480ce59c0ca5da">contentLength</a>(0) {</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        }</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    };</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5c1e66c49c3bf1dbc6ceda042c444793">~HTTPContentFetcherInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">State</a> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5b0dd0688189652c23542e8f1bb0a8e2">getState</a>() = 0;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keyword">virtual</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ade5a7f42801cc9f3c3737a7c5ff1363f">getUrl</a>() <span class="keyword">const</span> = 0;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keyword">virtual</span> Header <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a145c122572e43c147d50fc1e5aa74ee3">getHeader</a>(std::atomic&lt;bool&gt;* shouldShutdown) = 0;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#af05e284931dcb648a0e4a1cb9eb4cd7e">getBody</a>(std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; writer) = 0;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8381635579b31e3e99f4432ceb656709">shutdown</a>() = 0;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">virtual</span> std::unique_ptr&lt;avsCommon::utils::HTTPContent&gt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8ad46788f5f434b3a79168c4ebbe4eb3">getContent</a>(</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">FetchOptions</a> option,</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        std::unique_ptr&lt;avsCommon::avs::attachment::AttachmentWriter&gt; writer = <span class="keyword">nullptr</span>,</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::string&gt;&amp; customHeaders = std::vector&lt;std::string&gt;()) = 0;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keyword">static</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ad4fd816761ed2e1d94fd0622ef953ac4">getUserAgent</a>();</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keyword">static</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">stateToString</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">State</a> state);</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;};</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ad4fd816761ed2e1d94fd0622ef953ac4">  155</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ad4fd816761ed2e1d94fd0622ef953ac4">HTTPContentFetcherInterface::getUserAgent</a>() {</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;AvsDeviceSdk/&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sdk_version.html#a911183db9ceb7bcbe822128f581d2a8b">utils::sdkVersion::getCurrentVersion</a>();</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;}</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">  159</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">HTTPContentFetcherInterface::stateToString</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">HTTPContentFetcherInterface::State</a> state) {</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordflow">switch</span> (state) {</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86adee5f03c2c4e73657824e028494b18c0">State::INITIALIZED</a>:</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;INITIALIZED&quot;</span>;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aecb032beffdf90ff84b145c0c361313c">State::FETCHING_HEADER</a>:</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;FETCHING_HEADER&quot;</span>;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac449178c9953cdc0fe17c4d69f85f7ee">State::HEADER_DONE</a>:</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;HEADER_DONE&quot;</span>;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac67d580e25dcbffc9a54a12bd74da057">State::FETCHING_BODY</a>:</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;FETCHING_BODY&quot;</span>;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2">State::BODY_DONE</a>:</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;BODY_DONE&quot;</span>;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86abb1ca97ec761fc37101737ba0aa2e7c5">State::ERROR</a>:</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;ERROR&quot;</span>;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    }</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;}</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a7b92d15f8e5622073d9254ceedacd186">  184</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">operator&lt;&lt;</a>(std::ostream&amp; os, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">HTTPContentFetcherInterface::State</a>&amp; state) {</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    os &lt;&lt; <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">HTTPContentFetcherInterface::stateToString</a>(state);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordflow">return</span> os;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;}</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;}  <span class="comment">// namespace sdkInterfaces</span></div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_INCLUDE_AVSCOMMON_SDKINTERFACES_HTTPCONTENTFETCHERINTERFACE_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html_a6365299c9e4de0fc31745c41fd887445"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a6365299c9e4de0fc31745c41fd887445">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header::Header</a></div><div class="ttdeci">Header()</div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:74</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_html_a379b88faa712291cb1064f972ef6298b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a379b88faa712291cb1064f972ef6298b">alexaClientSDK::avsCommon::sdkInterfaces::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, const AudioInputProcessorObserverInterface::State &amp;state)</div><div class="ttdef"><b>Definition:</b> AudioInputProcessorObserverInterface.h:85</div></div>
<div class="ttc" id="_s_d_k_version_8h_html"><div class="ttname"><a href="_s_d_k_version_8h.html">SDKVersion.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86ac67d580e25dcbffc9a54a12bd74da057"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac67d580e25dcbffc9a54a12bd74da057">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::FETCHING_BODY</a></div><div class="ttdoc">Currently fetching the body. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http_html_ac0bd21aabffbf134eb81295b65839893"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">alexaClientSDK::avsCommon::utils::http::HTTPResponseCode</a></div><div class="ttdeci">HTTPResponseCode</div><div class="ttdef"><b>Definition:</b> HttpResponseCode.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a></div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a8ad46788f5f434b3a79168c4ebbe4eb3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8ad46788f5f434b3a79168c4ebbe4eb3">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getContent</a></div><div class="ttdeci">virtual std::unique_ptr&lt; avsCommon::utils::HTTPContent &gt; getContent(FetchOptions option, std::unique_ptr&lt; avsCommon::avs::attachment::AttachmentWriter &gt; writer=nullptr, const std::vector&lt; std::string &gt; &amp;customHeaders=std::vector&lt; std::string &gt;())=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::BODY_DONE</a></div><div class="ttdoc">Done fetching the body. At this point the content fetcher can only be used to read the headers...</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_ad4fd816761ed2e1d94fd0622ef953ac4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ad4fd816761ed2e1d94fd0622ef953ac4">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getUserAgent</a></div><div class="ttdeci">static std::string getUserAgent()</div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:155</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html_af271e97d1a7e70708e1c78ef58f2ab59"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af271e97d1a7e70708e1c78ef58f2ab59">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header::responseCode</a></div><div class="ttdeci">avsCommon::utils::http::HTTPResponseCode responseCode</div><div class="ttdoc">The HTTP status code received. </div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:68</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_ade5a7f42801cc9f3c3737a7c5ff1363f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#ade5a7f42801cc9f3c3737a7c5ff1363f">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getUrl</a></div><div class="ttdeci">virtual std::string getUrl() const =0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a8381635579b31e3e99f4432ceb656709"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a8381635579b31e3e99f4432ceb656709">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::shutdown</a></div><div class="ttdeci">virtual void shutdown()=0</div></div>
<div class="ttc" id="_http_response_codes_8h_html_a7c7e2e35af1fc43c26bd735151de06eaa335352ea1154abc7e7d8a442b1288b49"><div class="ttname"><a href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06eaa335352ea1154abc7e7d8a442b1288b49">HTTP_RESPONSE_CODE_UNDEFINED</a></div><div class="ttdoc">No HTTP response received. </div><div class="ttdef"><b>Definition:</b> HttpResponseCodes.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86abb1ca97ec761fc37101737ba0aa2e7c5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86abb1ca97ec761fc37101737ba0aa2e7c5">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::ERROR</a></div><div class="ttdoc">Some error happened at any stage and the content fetcher cannot be used anymore. </div></div>
<div class="ttc" id="_http_response_codes_8h_html_a7c7e2e35af1fc43c26bd735151de06ea"><div class="ttname"><a href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a></div><div class="ttdeci">HTTPResponseCode</div><div class="ttdef"><b>Definition:</b> HttpResponseCodes.h:27</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State</a></div><div class="ttdeci">State</div><div class="ttdoc">The state of payload fetching. </div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:43</div></div>
<div class="ttc" id="_http_response_code_8h_html"><div class="ttname"><a href="_http_response_code_8h.html">HttpResponseCode.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aa2dbdbb9bbf0442fff5b43d7baa40190a69f4c5323778d9d6383109d492070656"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a69f4c5323778d9d6383109d492070656">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::FetchOptions::CONTENT_TYPE</a></div><div class="ttdoc">Retrieves the content type part of the HTTP header. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a5c1e66c49c3bf1dbc6ceda042c444793"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5c1e66c49c3bf1dbc6ceda042c444793">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::~HTTPContentFetcherInterface</a></div><div class="ttdeci">virtual ~HTTPContentFetcherInterface()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86aecb032beffdf90ff84b145c0c361313c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aecb032beffdf90ff84b145c0c361313c">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::FETCHING_HEADER</a></div><div class="ttdoc">Currently fetching the header. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a145c122572e43c147d50fc1e5aa74ee3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a145c122572e43c147d50fc1e5aa74ee3">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getHeader</a></div><div class="ttdeci">virtual Header getHeader(std::atomic&lt; bool &gt; *shouldShutdown)=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aa2dbdbb9bbf0442fff5b43d7baa40190a88688062deacd9356286364aef9601f7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190a88688062deacd9356286364aef9601f7">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::FetchOptions::ENTIRE_BODY</a></div><div class="ttdoc">Retrieves the entire body of the remote location. </div></div>
<div class="ttc" id="namespacesdk_interfaces_html"><div class="ttname"><a href="namespacesdk_interfaces.html">sdkInterfaces</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aa2dbdbb9bbf0442fff5b43d7baa40190"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aa2dbdbb9bbf0442fff5b43d7baa40190">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::FetchOptions</a></div><div class="ttdeci">FetchOptions</div><div class="ttdoc">Represents what HTTP content to fetch. </div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_af05e284931dcb648a0e4a1cb9eb4cd7e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#af05e284931dcb648a0e4a1cb9eb4cd7e">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getBody</a></div><div class="ttdeci">virtual bool getBody(std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentWriter &gt; writer)=0</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html_aacb488f95f35dba8f6480ce59c0ca5da"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#aacb488f95f35dba8f6480ce59c0ca5da">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header::contentLength</a></div><div class="ttdeci">ssize_t contentLength</div><div class="ttdoc">The value of the Content-Length HTTP header. </div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:72</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86ac449178c9953cdc0fe17c4d69f85f7ee"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86ac449178c9953cdc0fe17c4d69f85f7ee">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::HEADER_DONE</a></div><div class="ttdoc">Done fetching the header. Ready to start fetching the body. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a64758ffbfef79b3f000e1dca8b86b1c2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a64758ffbfef79b3f000e1dca8b86b1c2">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::stateToString</a></div><div class="ttdeci">static std::string stateToString(State state)</div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:159</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header</a></div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:62</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html_a1efa12888ba55fd2277b28427785b856"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#a1efa12888ba55fd2277b28427785b856">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header::contentType</a></div><div class="ttdeci">std::string contentType</div><div class="ttdoc">The value of the Content-Type HTTP header. </div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:70</div></div>
<div class="ttc" id="_h_t_t_p_content_8h_html"><div class="ttname"><a href="_h_t_t_p_content_8h.html">HTTPContent.h</a></div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header_html_af870f526cb7177cefdf9a8637ebfa232"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_1_1_header.html#af870f526cb7177cefdf9a8637ebfa232">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::Header::successful</a></div><div class="ttdeci">bool successful</div><div class="ttdef"><b>Definition:</b> HTTPContentFetcherInterface.h:66</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_a5b0dd0688189652c23542e8f1bb0a8e2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#a5b0dd0688189652c23542e8f1bb0a8e2">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::getState</a></div><div class="ttdeci">virtual State getState()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface_html_aba5364b9cdcabdc4dcab1d8a64370b86adee5f03c2c4e73657824e028494b18c0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86adee5f03c2c4e73657824e028494b18c0">alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface::State::INITIALIZED</a></div><div class="ttdoc">Initialized but nothing was downloaded yet. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sdk_version_html_a911183db9ceb7bcbe822128f581d2a8b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sdk_version.html#a911183db9ceb7bcbe822128f581d2a8b">alexaClientSDK::avsCommon::utils::sdkVersion::getCurrentVersion</a></div><div class="ttdeci">static std::string getCurrentVersion()</div><div class="ttdef"><b>Definition:</b> SDKVersion.h:32</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
